GNU bug report logs - #59911
[PATCH] gnu: Add r-logging, r-shinycustomloader, r-anytime, r-shinywidgets, r-attempt, r-golem and r-wpm.

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: "MadalinIonel.Patrascu@HIDDEN" <MadalinIonel.Patrascu@HIDDEN>; Keywords: moreinfo patch; dated Thu, 8 Dec 2022 21:11:01 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.
Added tag(s) moreinfo. Request was from Ricardo Wurmus <rekado@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 59911 <at> debbugs.gnu.org:


Received: (at 59911) by debbugs.gnu.org; 12 Dec 2022 18:06:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Dec 12 13:06:35 2022
Received: from localhost ([127.0.0.1]:54450 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1p4nCE-0001rs-QH
	for submit <at> debbugs.gnu.org; Mon, 12 Dec 2022 13:06:35 -0500
Received: from sender4-of-o50.zoho.com ([136.143.188.50]:21028)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rekado@HIDDEN>) id 1p4nCC-0001ri-BJ
 for 59911 <at> debbugs.gnu.org; Mon, 12 Dec 2022 13:06:33 -0500
ARC-Seal: i=1; a=rsa-sha256; t=1670868389; cv=none; 
 d=zohomail.com; s=zohoarc; 
 b=Q0jUZAJr4senDTQoLR+oU4tg6U991UMB+8Bo7LAOPWpdpHJNiDWr/gG3p4haTBzPqwpcNp+Oh7OOG98g58p6josYK6toJ2FQiWXMTy2oiy7SeYXtHHK2Z3k9JDXnW23WqtkegxMo0fxlPsCFAoN7USxmWUssr1TloQwrSKtmJdk=
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=zohomail.com;
 s=zohoarc; t=1670868389;
 h=Content-Type:Cc:Date:From:In-Reply-To:MIME-Version:Message-ID:References:Subject:To;
 bh=HbykZPfomxPW54JQSEmQ8BDSaqd8zx50J67tjU3zHtk=; 
 b=bnJHnb1wiShiJx/TILbvjDrLQEYJS3MdxKmqVPGRCAb4mrabO1T2vE4T1r4NcNqkHQGbaHfAxZU0C0SIeJS04sC879nPuhNfgVuB/yN6sbqmmhLbnYWnlBBe9nMAWU0nL2PHJA1MjQgq1XrcuD2r4H9Yq0E4gE2qL9wEjy2RJyg=
ARC-Authentication-Results: i=1; mx.zohomail.com;
 dkim=pass  header.i=elephly.net;
 spf=pass  smtp.mailfrom=rekado@HIDDEN;
 dmarc=pass header.from=<rekado@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; t=1670868389; 
 s=zoho; d=elephly.net; i=rekado@HIDDEN;
 h=References:From:From:To:To:Cc:Cc:Subject:Subject:Date:Date:In-reply-to:Message-ID:MIME-Version:Content-Type:Message-Id:Reply-To;
 bh=HbykZPfomxPW54JQSEmQ8BDSaqd8zx50J67tjU3zHtk=;
 b=LTv8xZGkMmg/2eD4gchCigPoDIDUQWmkeirGusvr3dG9+2l/T6UEZNKIuXGkO9ZY
 71tP+rDa2Hv8ZHzcUx55OD6u3vSIzgeY+rZKYz7J4FYULJnAMWzzwXSaoNk2/nO5xLU
 pmq5WdQ8GRSCm+N1XKFMyqOphLIs1qCb3IGeFwXQ=
Received: from localhost (48-111-142-46.pool.kielnet.net [46.142.111.48]) by
 mx.zohomail.com with SMTPS id 1670868387173927.3273423418781;
 Mon, 12 Dec 2022 10:06:27 -0800 (PST)
References: <e9fd42d3e9f740e7b33e854751b5e4fb@HIDDEN>
 <20221208211322.28459-1-madalinionel.patrascu@HIDDEN>
User-agent: mu4e 1.8.11; emacs 28.2
From: Ricardo Wurmus <rekado@HIDDEN>
To: =?utf-8?B?TcSDZMSDbGlu?= Ionel =?utf-8?Q?Patra=C8=99cu?=
 <madalinionel.patrascu@HIDDEN>
Subject: Re: [bug#59911] [PATCH 1/7] gnu: Add r-logging.
Date: Mon, 12 Dec 2022 19:03:02 +0100
In-reply-to: <20221208211322.28459-1-madalinionel.patrascu@HIDDEN>
X-URL: https://elephly.net
X-PGP-Key: https://elephly.net/rekado.pubkey
X-PGP-Fingerprint: BCA6 89B6 3655 3801 C3C6  2150 197A 5888 235F ACAC
Message-ID: <87a63s1opr.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-ZohoMailClient: External
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 59911
Cc: 59911 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

I applied five of these seven patches.  As I wrote earlier
r-shinywidgets contains minified JavaScript that would need to be
compiled from source instead.  Consequently, r-wpm cannot be accepted
because it depends on r-shinywidgets.

Could you please look into compiling the JavaScript from shinywidgets
from source?  We have a couple of other R packages that come with
minified JavaScript, and we modify them to remove the minified
JavaScript in a snippet, add the sources as native inputs, and then use
a build phase to compile them with esbuild.

-- 
Ricardo




Information forwarded to guix-patches@HIDDEN:
bug#59911; Package guix-patches. Full text available.

Message received at 59911 <at> debbugs.gnu.org:


Received: (at 59911) by debbugs.gnu.org; 12 Dec 2022 17:51:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Dec 12 12:51:12 2022
Received: from localhost ([127.0.0.1]:54380 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1p4mxL-0001fx-OX
	for submit <at> debbugs.gnu.org; Mon, 12 Dec 2022 12:51:12 -0500
Received: from sender4-of-o50.zoho.com ([136.143.188.50]:21068)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rekado@HIDDEN>) id 1p4mxK-0001fr-0k
 for 59911 <at> debbugs.gnu.org; Mon, 12 Dec 2022 12:51:10 -0500
ARC-Seal: i=1; a=rsa-sha256; t=1670867468; cv=none; 
 d=zohomail.com; s=zohoarc; 
 b=S97Y1EhWYLGEeyjZET28YawQBaPhQTICf7z/DeThx5bQxu0ptn4uDaOu5LrIT8fiU5QVJniFkKxJL1dFPckBEKyCn4hUgquTXubDXfgiQXJ5haFUfUYhIxFSIhTWnsvVFsDLBFvpmWYUog9lovKjxa7N+8Ywq6n+30YBcETV2bE=
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=zohomail.com;
 s=zohoarc; t=1670867468;
 h=Content-Type:Content-Transfer-Encoding:Cc:Date:From:In-Reply-To:MIME-Version:Message-ID:References:Subject:To;
 bh=lyEP2gd+pyWZGkc4/KyTxc5S0We6OcKBR0JQlwb10Bo=; 
 b=bnCWCokKIAPjm9vjxJSgYq6KDcfXQFCJXcr7WIF8KZIWp1+rxUPtH27EkLHZgaGKDvr2vJmFG5HXm1BO79JdpJRbcUQnZiVk6aML+EqjKwj2JyKQQEHpKE1hv3yVUVVHaena27CdpIJvIdp1B8L5gVcuVMYjDa9DKn3NBEChsEY=
ARC-Authentication-Results: i=1; mx.zohomail.com;
 dkim=pass  header.i=elephly.net;
 spf=pass  smtp.mailfrom=rekado@HIDDEN;
 dmarc=pass header.from=<rekado@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; t=1670867468; 
 s=zoho; d=elephly.net; i=rekado@HIDDEN;
 h=References:From:From:To:To:Cc:Cc:Subject:Subject:Date:Date:In-reply-to:Message-ID:MIME-Version:Content-Type:Content-Transfer-Encoding:Message-Id:Reply-To;
 bh=lyEP2gd+pyWZGkc4/KyTxc5S0We6OcKBR0JQlwb10Bo=;
 b=VjJBZnRtH3YgpDe4gEH5FlnG4M08qpUuy4S8DJJf4ynZMMPwhQbRS6L7HLVjkMKR
 4d/HgGWkZ5w9BcqtD34csg7OmH3ywBwM9ifd1gCCqadFvFt1HDaXLM1W9ZVe4vJMXxH
 0INO3Ylln6WBNoW9hcsQzPULajVhjrG7ALqqm/Nc=
Received: from localhost (48-111-142-46.pool.kielnet.net [46.142.111.48]) by
 mx.zohomail.com with SMTPS id 1670867467470960.3704516344882;
 Mon, 12 Dec 2022 09:51:07 -0800 (PST)
References: <20221208211322.28459-1-madalinionel.patrascu@HIDDEN>
 <20221208211322.28459-4-madalinionel.patrascu@HIDDEN>
User-agent: mu4e 1.8.11; emacs 28.2
From: Ricardo Wurmus <rekado@HIDDEN>
To: =?utf-8?B?TcSDZMSDbGlu?= Ionel =?utf-8?Q?Patra=C8=99cu?=
 <madalinionel.patrascu@HIDDEN>
Subject: Re: [bug#59911] [PATCH 4/7] gnu: Add r-shinywidgets.
Date: Mon, 12 Dec 2022 18:49:02 +0100
In-reply-to: <20221208211322.28459-4-madalinionel.patrascu@HIDDEN>
X-URL: https://elephly.net
X-PGP-Key: https://elephly.net/rekado.pubkey
X-PGP-Fingerprint: BCA6 89B6 3655 3801 C3C6  2150 197A 5888 235F ACAC
Message-ID: <87edt41pfb.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-ZohoMailClient: External
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 59911
Cc: 59911 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


M=C4=83d=C4=83lin Ionel Patra=C8=99cu <madalinionel.patrascu@HIDDEN>=
 writes:

> * gnu/packages/cran.scm (r-shinywidgets): New variable.

This cannot be added as is.  We have had this package in the Guix
Science channel for a while now because it contains massive amounts of
minified JavaScript, sometimes without an obvious source.

Have you perhaps taken a look at some of these JavaScript files yet?

--=20
Ricardo




Information forwarded to guix-patches@HIDDEN:
bug#59911; Package guix-patches. Full text available.

Message received at 59911 <at> debbugs.gnu.org:


Received: (at 59911) by debbugs.gnu.org; 8 Dec 2022 21:13:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Dec 08 16:13:58 2022
Received: from localhost ([127.0.0.1]:59140 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1p3ODN-0003kx-VW
	for submit <at> debbugs.gnu.org; Thu, 08 Dec 2022 16:13:58 -0500
Received: from b2062.mx.srv.dfn.de ([194.95.234.172]:57025)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <MadalinIonel.Patrascu@HIDDEN>)
 id 1p3ODK-0003ju-EV
 for 59911 <at> debbugs.gnu.org; Thu, 08 Dec 2022 16:13:54 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=mdc-berlin.de; h=
 content-type:content-type:content-transfer-encoding:mime-version
 :references:in-reply-to:x-mailer:message-id:date:date:subject
 :subject:from:from:received; s=mdc; t=1670534025; x=1672348426;
 bh=vTBvBBaapPAksnAeN7v4mEagJ8as7f+5cIkj+kKXqjA=; b=ffoaKeZIUoNg
 3AI6IokzM+OCprLn8xtOTdrG4c41E5WcHus/zFg1ZN4Bg+UVAzffqjptbk7CZA8q
 OkrRYOb17WLw1fB5bhcFyKI/+9mVU+O8y/wpFDbFYl4Ftp+4z/TRcSivXpwzHlvB
 zUDnD/WE+F0NnusoYY8XUGeUyJWwO0o=
Received: from SW-IT-P-EX4.mdc-berlin.net (mgw4.mdc-berlin.de [141.80.113.62])
 by b2062.mx.srv.dfn.de (Postfix) with ESMTPS id 7B35B160568
 for <59911 <at> debbugs.gnu.org>; Thu,  8 Dec 2022 22:13:45 +0100 (CET)
Received: from pimi-TRX40-AORUS-PRO-WIFI.lan (77.23.232.54) by
 SW-IT-P-EX4.mdc-berlin.net (141.80.113.62) with Microsoft SMTP Server
 (version=TLS1_2, cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id
 15.1.2507.16; Thu, 8 Dec 2022 22:13:40 +0100
From: =?UTF-8?q?M=C4=83d=C4=83lin=20Ionel=20Patra=C8=99cu?=
 <madalinionel.patrascu@HIDDEN>
To: <59911 <at> debbugs.gnu.org>
Subject: [PATCH 7/7] gnu: Add r-wpm.
Date: Thu, 8 Dec 2022 22:13:22 +0100
Message-ID: <20221208211322.28459-7-madalinionel.patrascu@HIDDEN>
X-Mailer: git-send-email 2.38.1
In-Reply-To: <20221208211322.28459-1-madalinionel.patrascu@HIDDEN>
References: <20221208211322.28459-1-madalinionel.patrascu@HIDDEN>
MIME-Version: 1.0
X-Debbugs-Cc: rekado@HIDDEN
Content-Transfer-Encoding: 8bit
Content-Type: text/plain
X-Originating-IP: [77.23.232.54]
X-ClientProxiedBy: SW-IT-P-EX4.mdc-berlin.net (141.80.113.62) To
 SW-IT-P-EX4.mdc-berlin.net (141.80.113.62)
X-TM-AS-Product-Ver: SMEX-14.0.0.3092-9.0.1002-27312.003
X-TM-AS-Result: No-10--8.359100-5.000000
X-TMASE-MatchedRID: SzbEz7SZt2v/R1NSMc2qCU7nLUqYrlslFIuBIWrdOePfUZT83lbkEG8R
 qAsgLeLoRRa406V/YwyBUGewL2YXt/211Ty3YIoAwLYk+NSxc5r4qCLIu0mtILqRTffgJkSxd93
 A76AVNsBkByy7nKWXTrnGs6v1BUA0VkqoT5RgfN+OtWfhyZ77DlfRUrB5i5knU72YOAMDJjieAi
 CmPx4NwGmRqNBHmBve38LauI2fxt4qtq5d3cxkNZd/mwLf2BVUd02DHlJhpixiHjoTybkJ+Tk1n
 xPOQG1HwCLEd6410rhLDBwYotNgRw==
X-TM-AS-User-Approved-Sender: Yes
X-TM-AS-User-Blocked-Sender: No
X-TMASE-Result: 10--8.359100-5.000000
X-TMASE-Version: SMEX-14.0.0.3092-9.0.1002-27312.003
X-TM-SNTS-SMTP: 328F87FE5DCB3D4163B19BC3A49552DA0C5AB76676254C69A859C905E818485E2002:F
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 59911
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

* gnu/packages/bioconductor.scm (r-wpm): New variable.
---
 gnu/packages/bioconductor.scm | 42 +++++++++++++++++++++++++++++++++++
 1 file changed, 42 insertions(+)

diff --git a/gnu/packages/bioconductor.scm b/gnu/packages/bioconductor.scm
index c62c5970b8..21b69cab01 100644
--- a/gnu/packages/bioconductor.scm
+++ b/gnu/packages/bioconductor.scm
@@ -12244,6 +12244,48 @@ (define-public r-wppi
 scores and a path search algorithm.")
     (license license:expat)))
 
+(define-public r-wpm
+  (package
+    (name "r-wpm")
+    (version "1.8.0")
+    (source (origin
+              (method url-fetch)
+              (uri (bioconductor-uri "wpm" version))
+              (sha256
+               (base32
+                "05zpj0i4741xn1g0yhkq3mg9zjppfryrfc47pxnys9bjfij0az52"))))
+    (properties `((upstream-name . "wpm")))
+    (build-system r-build-system)
+    (propagated-inputs
+     (list r-biobase
+           r-cli
+           r-config
+           r-dplyr
+           r-dt
+           r-ggplot2
+           r-golem
+           r-logging
+           r-rcolorbrewer
+           r-rlang
+           r-shiny
+           r-shinycustomloader
+           r-shinydashboard
+           r-shinywidgets
+           r-stringr
+           r-summarizedexperiment))
+    (native-inputs (list r-knitr))
+    (home-page "https://github.com/HelBor/wpm")
+    (synopsis "Generating well plate maker")
+    (description
+     "The @acronym{WPM, Well-Plate Maker} is a Shiny application deployed as an
+R package.  Functions for a command-line/script use are available.  The WPM allows
+users to generate well plate maps to carry out their experiments while improving
+the handling of batch effects.  In particular, it helps controlling the \"plate
+effect\" thanks to its ability to randomize samples over multiple well plates.
+The algorithm for placing the samples is inspired by the backtracking algorithm:
+the samples are placed at random while respecting specific spatial constraints.")
+    (license license:artistic2.0)))
+
 (define-public r-wrench
   (package
     (name "r-wrench")
-- 
2.38.1





Information forwarded to rekado@HIDDEN, guix-patches@HIDDEN:
bug#59911; Package guix-patches. Full text available.

Message received at 59911 <at> debbugs.gnu.org:


Received: (at 59911) by debbugs.gnu.org; 8 Dec 2022 21:13:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Dec 08 16:13:57 2022
Received: from localhost ([127.0.0.1]:59138 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1p3ODN-0003kv-JO
	for submit <at> debbugs.gnu.org; Thu, 08 Dec 2022 16:13:57 -0500
Received: from b2062.mx.srv.dfn.de ([194.95.234.172]:53789)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <MadalinIonel.Patrascu@HIDDEN>)
 id 1p3ODK-0003jt-DU
 for 59911 <at> debbugs.gnu.org; Thu, 08 Dec 2022 16:13:54 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=mdc-berlin.de; h=
 content-type:content-type:content-transfer-encoding:mime-version
 :references:in-reply-to:x-mailer:message-id:date:date:subject
 :subject:from:from:received; s=mdc; t=1670534024; x=1672348425;
 bh=Tl1HZ5EDITKsK/CQHbRHue/LUjGnEA525Wb7JRppo5Q=; b=LTkDFd6E8JuO
 YBwM3KwictRviEkbW4bZoFcduYcmugNJ6Sa8x70fet74MQMMxiKo8isCld6QKUKq
 9rhqk3BkcyaiFmflR59ggw2csE4nF8tYF1NqTWj/RqhWSgHTfIqVW+6Of7TLsnXh
 1GznvsZ41erBapf+3OthgaEm4aCwG7E=
Received: from SW-IT-P-EX4.mdc-berlin.net (mgw4.mdc-berlin.de [141.80.113.62])
 by b2062.mx.srv.dfn.de (Postfix) with ESMTPS id D058B160562
 for <59911 <at> debbugs.gnu.org>; Thu,  8 Dec 2022 22:13:44 +0100 (CET)
Received: from pimi-TRX40-AORUS-PRO-WIFI.lan (77.23.232.54) by
 SW-IT-P-EX4.mdc-berlin.net (141.80.113.62) with Microsoft SMTP Server
 (version=TLS1_2, cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id
 15.1.2507.16; Thu, 8 Dec 2022 22:13:40 +0100
From: =?UTF-8?q?M=C4=83d=C4=83lin=20Ionel=20Patra=C8=99cu?=
 <madalinionel.patrascu@HIDDEN>
To: <59911 <at> debbugs.gnu.org>
Subject: [PATCH 6/7] gnu: Add r-golem.
Date: Thu, 8 Dec 2022 22:13:21 +0100
Message-ID: <20221208211322.28459-6-madalinionel.patrascu@HIDDEN>
X-Mailer: git-send-email 2.38.1
In-Reply-To: <20221208211322.28459-1-madalinionel.patrascu@HIDDEN>
References: <20221208211322.28459-1-madalinionel.patrascu@HIDDEN>
MIME-Version: 1.0
X-Debbugs-Cc: rekado@HIDDEN
Content-Transfer-Encoding: 8bit
Content-Type: text/plain
X-Originating-IP: [77.23.232.54]
X-ClientProxiedBy: SW-IT-P-EX4.mdc-berlin.net (141.80.113.62) To
 SW-IT-P-EX4.mdc-berlin.net (141.80.113.62)
X-TM-AS-Product-Ver: SMEX-14.0.0.3092-9.0.1002-27312.003
X-TM-AS-Result: No-10--0.696300-5.000000
X-TMASE-MatchedRID: 54gb2yeIOXT/R1NSMc2qCU7nLUqYrlslFIuBIWrdOeOjEIt+uIPPOAbo
 TDS3zulAcjTcMkuJPYnJQXkQ8WTD1sZ8zsjIitoJnVTWWiNp+v+bQfYveSNCCqY5ZGw7wyeHX7Y
 ymZoan+VVLniVVFJTYT8Ga8ARMqXNLJutez2dKWfi8zVgXoAltsIJ+4gwXrEtwrbXMGDYqV8X9r
 pBZuBDbZjTq+kKVj8fquBFCVDiawPeli/tYSj6i3XH8WFEjN1lTIaAOlCcxKlxmZBUq9OtzkS3a
 UYYeWMrikTvUJwtkCWoFbfPlEAmOyhCDgyssE8uo3yYJV8x0OrMUVc0s17dsX/q4TD2v7K1
X-TM-AS-User-Approved-Sender: Yes
X-TM-AS-User-Blocked-Sender: No
X-TMASE-Result: 10--0.696300-5.000000
X-TMASE-Version: SMEX-14.0.0.3092-9.0.1002-27312.003
X-TM-SNTS-SMTP: 80504BD9BDB35AC5AE46E83AD63B8A180AC7A60D715F045838F07A9C941DA1F82002:F
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 59911
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

* gnu/packages/cran.scm (r-golem): New variable.
---
 gnu/packages/cran.scm | 37 +++++++++++++++++++++++++++++++++++++
 1 file changed, 37 insertions(+)

diff --git a/gnu/packages/cran.scm b/gnu/packages/cran.scm
index cb67edd338..95c3672b78 100644
--- a/gnu/packages/cran.scm
+++ b/gnu/packages/cran.scm
@@ -11126,6 +11126,43 @@ (define-public r-biasedurn
 distribution).")
     (license license:gpl3)))
 
+(define-public r-golem
+  (package
+    (name "r-golem")
+    (version "0.3.5")
+    (source (origin
+              (method url-fetch)
+              (uri (cran-uri "golem" version))
+              (sha256
+               (base32
+                "0rjkl1r83h0hcn30zssx64qm07sdx3g4v5rdxn56gbzfghw7ddcl"))))
+    (properties `((upstream-name . "golem")))
+    (build-system r-build-system)
+    (propagated-inputs
+     (list r-attempt
+           r-cli
+           r-config
+           r-crayon
+           r-desc
+           r-fs
+           r-here
+           r-htmltools
+           r-pkgload
+           r-roxygen2
+           r-rstudioapi
+           r-shiny
+           r-usethis
+           r-yaml))
+    (native-inputs (list r-knitr))
+    (home-page "https://github.com/ThinkR-open/golem")
+    (synopsis "Framework for robust shiny applications")
+    (description
+     "This package implements an opinionated framework for building a production-
+ready @code{Shiny} application.  @code{Golem} contains a series of tools like
+dependency management, version management, easy installation and deployment or
+documentation management.")
+    (license license:expat)))
+
 (define-public r-goplot
   (package
     (name "r-goplot")
-- 
2.38.1





Information forwarded to rekado@HIDDEN, guix-patches@HIDDEN:
bug#59911; Package guix-patches. Full text available.

Message received at 59911 <at> debbugs.gnu.org:


Received: (at 59911) by debbugs.gnu.org; 8 Dec 2022 21:13:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Dec 08 16:13:55 2022
Received: from localhost ([127.0.0.1]:59135 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1p3ODL-0003ko-5w
	for submit <at> debbugs.gnu.org; Thu, 08 Dec 2022 16:13:55 -0500
Received: from b2062.mx.srv.dfn.de ([194.95.234.172]:39483)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <MadalinIonel.Patrascu@HIDDEN>)
 id 1p3ODG-0003jf-6D
 for 59911 <at> debbugs.gnu.org; Thu, 08 Dec 2022 16:13:50 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=mdc-berlin.de; h=
 content-type:content-type:content-transfer-encoding:mime-version
 :references:in-reply-to:x-mailer:message-id:date:date:subject
 :subject:from:from:received; s=mdc; t=1670534024; x=1672348425;
 bh=Kbo/o+kX0Y3R9ymRfJ0zE3CfHtKfd+v1xsZ650bRIGA=; b=hkdDj/EHD3bn
 Gd7vCosxbsF6AoD6G0OQv1kAVnp4FX+yjUtrzdZHtv25qrHNVoUz+EVww1qidTpv
 Xv9gbxbr2xtlKaNBF2/XdEhwLPHwCR/Xm0brP2c+HYtY9TCUH/4MZ9U0WGeh5sVN
 O3sEW46E1ZsQ5YD89YkxJbBVK5ePKu0=
Received: from SW-IT-P-EX4.mdc-berlin.net (mgw4.mdc-berlin.de [141.80.113.62])
 by b2062.mx.srv.dfn.de (Postfix) with ESMTPS id EEE26160558
 for <59911 <at> debbugs.gnu.org>; Thu,  8 Dec 2022 22:13:43 +0100 (CET)
Received: from pimi-TRX40-AORUS-PRO-WIFI.lan (77.23.232.54) by
 SW-IT-P-EX4.mdc-berlin.net (141.80.113.62) with Microsoft SMTP Server
 (version=TLS1_2, cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id
 15.1.2507.16; Thu, 8 Dec 2022 22:13:40 +0100
From: =?UTF-8?q?M=C4=83d=C4=83lin=20Ionel=20Patra=C8=99cu?=
 <madalinionel.patrascu@HIDDEN>
To: <59911 <at> debbugs.gnu.org>
Subject: [PATCH 3/7] gnu: Add r-anytime.
Date: Thu, 8 Dec 2022 22:13:18 +0100
Message-ID: <20221208211322.28459-3-madalinionel.patrascu@HIDDEN>
X-Mailer: git-send-email 2.38.1
In-Reply-To: <20221208211322.28459-1-madalinionel.patrascu@HIDDEN>
References: <20221208211322.28459-1-madalinionel.patrascu@HIDDEN>
MIME-Version: 1.0
X-Debbugs-Cc: rekado@HIDDEN
Content-Transfer-Encoding: 8bit
Content-Type: text/plain
X-Originating-IP: [77.23.232.54]
X-ClientProxiedBy: SW-IT-P-EX4.mdc-berlin.net (141.80.113.62) To
 SW-IT-P-EX4.mdc-berlin.net (141.80.113.62)
X-TM-AS-Product-Ver: SMEX-14.0.0.3092-9.0.1002-27312.003
X-TM-AS-Result: No-10--2.399800-5.000000
X-TMASE-MatchedRID: I6rpFm0lrcPSLIU7g8uoYArcxrzwsv5uwTlc9CcHMZerwqxtE531VIPc
 XuILVCbaRRa406V/YwyBUGewL2YXt8Z8zsjIitoJ71Wx2uUbPLcXjfR3d0weRoKCwkqJp0+AxMZ
 ZaStlEQscAcKnm4LbDGHdNGuvvf8oo8WMkQWv6iV3LAytsQR4ewSz8fXAzKym3QfwsVk0UbsiEo
 nDMI2Cf55Vb9l0vnaPCGQf1NXv+BXLqLC6r29aDgAAAe8YIhCZRlf77m3pSaDY+mZkXyH5uROSF
 skQg4CKi9xtZtzhQZayrl3q8aKnEpxI7RtR3FAqKEIODKywTy6jfJglXzHQ6sxRVzSzXt2xf+rh
 MPa/srU=
X-TM-AS-User-Approved-Sender: Yes
X-TM-AS-User-Blocked-Sender: No
X-TMASE-Result: 10--2.399800-5.000000
X-TMASE-Version: SMEX-14.0.0.3092-9.0.1002-27312.003
X-TM-SNTS-SMTP: E0011E0155741DC8334853753C473D06A796B68974BD186F7DDC64B20A7299A82002:F
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 59911
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

* gnu/packages/cran.scm (r-anytime): New variable.
---
 gnu/packages/cran.scm | 24 ++++++++++++++++++++++++
 1 file changed, 24 insertions(+)

diff --git a/gnu/packages/cran.scm b/gnu/packages/cran.scm
index 1a5bef3cdb..b9d5757795 100644
--- a/gnu/packages/cran.scm
+++ b/gnu/packages/cran.scm
@@ -25484,6 +25484,30 @@ (define-public r-anthropometry
 statistical shape analysis and archetypal analysis.")
     (license license:gpl2+)))
 
+(define-public r-anytime
+  (package
+    (name "r-anytime")
+    (version "0.3.9")
+    (source (origin
+              (method url-fetch)
+              (uri (cran-uri "anytime" version))
+              (sha256
+               (base32
+                "0jjpqynai5nd7mfy1smb44356f3d5bmpxhs1i9x9jw5c959c35hh"))))
+    (properties `((upstream-name . "anytime")))
+    (build-system r-build-system)
+    (propagated-inputs
+     (list r-bh
+           r-rcpp))
+    (home-page "http://dirk.eddelbuettel.com/code/anytime.html")
+    (synopsis "Converter of input to POSIXct or Date")
+    (description
+     "The package converts the input in any one of character, integer, numeric,
+factor, or an ordered type into @code{POSIXct} (or @code{Date}) objects, using
+one of a number of predefined formats, and relying on Boost facilities for date
+and time parsing.")
+    (license license:gpl2+)))
+
 (define-public r-anndata
   (package
     (name "r-anndata")
-- 
2.38.1





Information forwarded to rekado@HIDDEN, guix-patches@HIDDEN:
bug#59911; Package guix-patches. Full text available.

Message received at 59911 <at> debbugs.gnu.org:


Received: (at 59911) by debbugs.gnu.org; 8 Dec 2022 21:13:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Dec 08 16:13:52 2022
Received: from localhost ([127.0.0.1]:59131 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1p3ODH-0003kS-SU
	for submit <at> debbugs.gnu.org; Thu, 08 Dec 2022 16:13:52 -0500
Received: from b2062.mx.srv.dfn.de ([194.95.234.172]:42859)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <MadalinIonel.Patrascu@HIDDEN>)
 id 1p3ODF-0003je-AH
 for 59911 <at> debbugs.gnu.org; Thu, 08 Dec 2022 16:13:49 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=mdc-berlin.de; h=
 content-type:content-type:content-transfer-encoding:mime-version
 :references:in-reply-to:x-mailer:message-id:date:date:subject
 :subject:from:from:received; s=mdc; t=1670534023; x=1672348424;
 bh=JlieopO56D1qU2m9j4sYjZoH/agCxwi5CI/+u0W5Scc=; b=IQhnPP444kcX
 OxzOoyl5QEzuD6/sW5UVLTEUcuk0ukyYeW4Flq7w4M4uQg74wzpx0rnqE4m5fpGW
 DbHjUI9YOY10La+kotWoYTxgLzXDQ5PObkEi6xUKcvvBZTBuZPebAmI1pjvvqVYA
 Y8G1MHkcbfAE5vrYIXX+wNBXAKiwwug=
Received: from SW-IT-P-EX4.mdc-berlin.net (mgw4.mdc-berlin.de [141.80.113.62])
 by b2062.mx.srv.dfn.de (Postfix) with ESMTPS id 4EEE6160554
 for <59911 <at> debbugs.gnu.org>; Thu,  8 Dec 2022 22:13:43 +0100 (CET)
Received: from pimi-TRX40-AORUS-PRO-WIFI.lan (77.23.232.54) by
 SW-IT-P-EX4.mdc-berlin.net (141.80.113.62) with Microsoft SMTP Server
 (version=TLS1_2, cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id
 15.1.2507.16; Thu, 8 Dec 2022 22:13:40 +0100
From: =?UTF-8?q?M=C4=83d=C4=83lin=20Ionel=20Patra=C8=99cu?=
 <madalinionel.patrascu@HIDDEN>
To: <59911 <at> debbugs.gnu.org>
Subject: [PATCH 5/7] gnu: Add r-attempt.
Date: Thu, 8 Dec 2022 22:13:20 +0100
Message-ID: <20221208211322.28459-5-madalinionel.patrascu@HIDDEN>
X-Mailer: git-send-email 2.38.1
In-Reply-To: <20221208211322.28459-1-madalinionel.patrascu@HIDDEN>
References: <20221208211322.28459-1-madalinionel.patrascu@HIDDEN>
MIME-Version: 1.0
X-Debbugs-Cc: rekado@HIDDEN
Content-Transfer-Encoding: 8bit
Content-Type: text/plain
X-Originating-IP: [77.23.232.54]
X-ClientProxiedBy: SW-IT-P-EX4.mdc-berlin.net (141.80.113.62) To
 SW-IT-P-EX4.mdc-berlin.net (141.80.113.62)
X-TM-AS-Product-Ver: SMEX-14.0.0.3092-9.0.1002-27312.003
X-TM-AS-Result: No-10--3.871400-5.000000
X-TMASE-MatchedRID: toN6SH028bX/R1NSMc2qCU7nLUqYrlslFIuBIWrdOeOjEIt+uIPPOAbo
 TDS3zulAcjTcMkuJPYkZijt1cgK90C/33TWoSUH6194/5X9VfCxSHjB5Y+o5ZK3IiVD2OFIxl5W
 06Bs6gNzF+KCpGE37CJsoi2XrUn/Jn6KdMrRsL14qtq5d3cxkNRqXnrxrKCOXxiljWXz5K21Uli
 QDMEIge1FdN7LNiHOm9vhckvsn3NUibncXvUSWm2EMXtALLv52rzzq3/Do3T/k91WF2gpO526o9
 4no84+wDUEkBTZ8vOLxlyTCXQR4xioA5PA4dQuxuYpJR2kheXd+3BndfXUhXQ==
X-TM-AS-User-Approved-Sender: Yes
X-TM-AS-User-Blocked-Sender: No
X-TMASE-Result: 10--3.871400-5.000000
X-TMASE-Version: SMEX-14.0.0.3092-9.0.1002-27312.003
X-TM-SNTS-SMTP: 67FAF9239314077B16EDD5098B96AD80F751D54CAA9E72284B5DC544FEBC8AD82002:F
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 59911
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

* gnu/packages/cran.scm (r-attempt): New variable.
---
 gnu/packages/cran.scm | 25 +++++++++++++++++++++++++
 1 file changed, 25 insertions(+)

diff --git a/gnu/packages/cran.scm b/gnu/packages/cran.scm
index 9cfca2f4ca..cb67edd338 100644
--- a/gnu/packages/cran.scm
+++ b/gnu/packages/cran.scm
@@ -7235,6 +7235,31 @@ (define-public r-aricode
 variation information} (NVI) and entropy.")
     (license license:gpl3+)))
 
+(define-public r-attempt
+  (package
+    (name "r-attempt")
+    (version "0.3.1")
+    (source (origin
+              (method url-fetch)
+              (uri (cran-uri "attempt" version))
+              (sha256
+               (base32
+                "1ylgg7jcp8wqmxgf1mydnvh26k0mr8jyjla4hw06730r40yrs58m"))))
+    (properties `((upstream-name . "attempt")))
+    (build-system r-build-system)
+    (propagated-inputs (list r-rlang))
+    (native-inputs (list r-knitr))
+    (home-page "https://github.com/ColinFay/attempt")
+    (synopsis "Tools for defensive programming")
+    (description
+     "This package provides tools for defensive programming.  It is inspired by
+@code{purrr} mappers and based on @code{rlang}.  @code{Attempt} extends and
+facilitates defensive programming by providing a consistent grammar, and a set
+of functions for common tests and conditions.  @code{Attempt} only depends on
+@code{rlang}, and focuses on speed, so it can be integrated with other functions
+and used in the data analysis.")
+    (license license:expat)))
+
 (define-public r-debugme
   (package
     (name "r-debugme")
-- 
2.38.1





Information forwarded to rekado@HIDDEN, guix-patches@HIDDEN:
bug#59911; Package guix-patches. Full text available.

Message received at 59911 <at> debbugs.gnu.org:


Received: (at 59911) by debbugs.gnu.org; 8 Dec 2022 21:13:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Dec 08 16:13:51 2022
Received: from localhost ([127.0.0.1]:59129 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1p3ODH-0003kJ-Fi
	for submit <at> debbugs.gnu.org; Thu, 08 Dec 2022 16:13:51 -0500
Received: from b2062.mx.srv.dfn.de ([194.95.234.172]:37341)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <MadalinIonel.Patrascu@HIDDEN>)
 id 1p3ODE-0003jd-LP
 for 59911 <at> debbugs.gnu.org; Thu, 08 Dec 2022 16:13:49 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=mdc-berlin.de; h=
 content-type:content-type:content-transfer-encoding:mime-version
 :references:in-reply-to:x-mailer:message-id:date:date:subject
 :subject:from:from:received; s=mdc; t=1670534022; x=1672348423;
 bh=ZZcKhbh9+DgKHpR7dz+u6Bo3DDOhNC2W46iHslWYrsg=; b=DdPeHikgnFQG
 Se3YF9WMOkTwrTEldrnCRV1/NtfOj2U9DCMoVLIGSvuUdPV8QZWYZW/YPTRP8kE3
 ffkhZdAhhOBwK7NAeF/4PxzgVGdTmKIwUwZk4G9zqqQ2OFiuRZFgf9BStsB4mTID
 WoamAg/1DXwrFNNCw/YyfoHBH4hFeBQ=
Received: from SW-IT-P-EX4.mdc-berlin.net (mgw4.mdc-berlin.de [141.80.113.62])
 by b2062.mx.srv.dfn.de (Postfix) with ESMTPS id A413E16054D
 for <59911 <at> debbugs.gnu.org>; Thu,  8 Dec 2022 22:13:42 +0100 (CET)
Received: from pimi-TRX40-AORUS-PRO-WIFI.lan (77.23.232.54) by
 SW-IT-P-EX4.mdc-berlin.net (141.80.113.62) with Microsoft SMTP Server
 (version=TLS1_2, cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id
 15.1.2507.16; Thu, 8 Dec 2022 22:13:40 +0100
From: =?UTF-8?q?M=C4=83d=C4=83lin=20Ionel=20Patra=C8=99cu?=
 <madalinionel.patrascu@HIDDEN>
To: <59911 <at> debbugs.gnu.org>
Subject: [PATCH 4/7] gnu: Add r-shinywidgets.
Date: Thu, 8 Dec 2022 22:13:19 +0100
Message-ID: <20221208211322.28459-4-madalinionel.patrascu@HIDDEN>
X-Mailer: git-send-email 2.38.1
In-Reply-To: <20221208211322.28459-1-madalinionel.patrascu@HIDDEN>
References: <20221208211322.28459-1-madalinionel.patrascu@HIDDEN>
MIME-Version: 1.0
X-Debbugs-Cc: rekado@HIDDEN
Content-Transfer-Encoding: 8bit
Content-Type: text/plain
X-Originating-IP: [77.23.232.54]
X-ClientProxiedBy: SW-IT-P-EX4.mdc-berlin.net (141.80.113.62) To
 SW-IT-P-EX4.mdc-berlin.net (141.80.113.62)
X-TM-AS-Product-Ver: SMEX-14.0.0.3092-9.0.1002-27312.003
X-TM-AS-Result: No-10--1.213700-5.000000
X-TMASE-MatchedRID: I6rpFm0lrcP/R1NSMc2qCU7nLUqYrlslFIuBIWrdOePfUZT83lbkEHwP
 NZT6pGXGvnCllUJsUcvuNT8xdcEnQwE+dA3RWUSvtK3GC93OHJOFzNNPDc6umOCbuVI7hVbLqbs
 +nJ/tFJEOkki3CiugyJifsYTYhe3oULz7LbSkB2Srm7DrUlmNkIAy6p60ZV62yA7duzCw6dLdB/
 CxWTRRu3aDLLDbFMGFtNXehhgVipCQ2zWmaCihWSJrtvGOTRj4PEHFcWdLy12njIzrn/PpPJ788
 FucMSSJ7jGD9CUOvtxsNw6iw/mjch5/oYxFIwY9x6Xh3Vy4y2+O91s7FwLn8xC2a7GIAOqG8ody
 TXpQo3UZHwBcdw5+Mg==
X-TM-AS-User-Approved-Sender: Yes
X-TM-AS-User-Blocked-Sender: No
X-TMASE-Result: 10--1.213700-5.000000
X-TMASE-Version: SMEX-14.0.0.3092-9.0.1002-27312.003
X-TM-SNTS-SMTP: 49772B925DC8A2AC29D3FDE8E9A90109D29E9F153A0314420AB2392871C9DCC92002:F
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 59911
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

* gnu/packages/cran.scm (r-shinywidgets): New variable.
---
 gnu/packages/cran.scm | 27 +++++++++++++++++++++++++++
 1 file changed, 27 insertions(+)

diff --git a/gnu/packages/cran.scm b/gnu/packages/cran.scm
index b9d5757795..9cfca2f4ca 100644
--- a/gnu/packages/cran.scm
+++ b/gnu/packages/cran.scm
@@ -25810,6 +25810,33 @@ (define-public r-shinycssloaders
 automatically show a loader when the output is (re)calculating.")
     (license license:gpl3)))
 
+(define-public r-shinywidgets
+  (package
+    (name "r-shinywidgets")
+    (version "0.7.5")
+    (source (origin
+              (method url-fetch)
+              (uri (cran-uri "shinyWidgets" version))
+              (sha256
+               (base32
+                "1ls28r6dbvi4pml1mxakn327dzl0l71pkaw5rm9n80jd5npq9vmz"))))
+    (properties `((upstream-name . "shinyWidgets")))
+    (build-system r-build-system)
+    (propagated-inputs
+     (list r-anytime
+           r-bslib
+           r-htmltools
+           r-jsonlite
+           r-rlang
+           r-sass
+           r-shiny))
+    (home-page "https://github.com/dreamRs/shinyWidgets")
+    (synopsis "Custom input widgets for Shiny")
+    (description
+     "The package offers a collection of custom input controls and user interface
+components for Shiny applications.")
+    (license license:gpl3)))
+
 (define-public r-rsvg
   (package
     (name "r-rsvg")
-- 
2.38.1





Information forwarded to rekado@HIDDEN, guix-patches@HIDDEN:
bug#59911; Package guix-patches. Full text available.

Message received at 59911 <at> debbugs.gnu.org:


Received: (at 59911) by debbugs.gnu.org; 8 Dec 2022 21:13:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Dec 08 16:13:51 2022
Received: from localhost ([127.0.0.1]:59127 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1p3ODH-0003kC-4Y
	for submit <at> debbugs.gnu.org; Thu, 08 Dec 2022 16:13:51 -0500
Received: from b2062.mx.srv.dfn.de ([194.95.234.172]:58341)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <MadalinIonel.Patrascu@HIDDEN>)
 id 1p3ODE-0003jc-0P
 for 59911 <at> debbugs.gnu.org; Thu, 08 Dec 2022 16:13:49 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=mdc-berlin.de; h=
 content-type:content-type:content-transfer-encoding:mime-version
 :references:in-reply-to:x-mailer:message-id:date:date:subject
 :subject:from:from:received; s=mdc; t=1670534021; x=1672348422;
 bh=Pkm2B+oyKilY1Kfl2IPt8aM3msl5BrzzvdvHHQnPIhY=; b=CvMFhZPS4stT
 O9s6eJOVhBU9DWPVKi6eQj4gxeKArjRHT4gh6f8VSeiM2KCHjDvUxIZ8AaQ4FttR
 6bfsG9D9y8E/I9kGtuYZp5OYJmkgYly12uiJYGuDvSY+xI4/va9zEI8dNqGep3dJ
 rYgFbRsFApiXJGvQMu63FfPb0U52PRE=
Received: from SW-IT-P-EX4.mdc-berlin.net (mgw4.mdc-berlin.de [141.80.113.62])
 by b2062.mx.srv.dfn.de (Postfix) with ESMTPS id B19C816054C
 for <59911 <at> debbugs.gnu.org>; Thu,  8 Dec 2022 22:13:41 +0100 (CET)
Received: from pimi-TRX40-AORUS-PRO-WIFI.lan (77.23.232.54) by
 SW-IT-P-EX4.mdc-berlin.net (141.80.113.62) with Microsoft SMTP Server
 (version=TLS1_2, cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id
 15.1.2507.16; Thu, 8 Dec 2022 22:13:39 +0100
From: =?UTF-8?q?M=C4=83d=C4=83lin=20Ionel=20Patra=C8=99cu?=
 <madalinionel.patrascu@HIDDEN>
To: <59911 <at> debbugs.gnu.org>
Subject: [PATCH 2/7] gnu: Add r-shinycustomloader.
Date: Thu, 8 Dec 2022 22:13:17 +0100
Message-ID: <20221208211322.28459-2-madalinionel.patrascu@HIDDEN>
X-Mailer: git-send-email 2.38.1
In-Reply-To: <20221208211322.28459-1-madalinionel.patrascu@HIDDEN>
References: <20221208211322.28459-1-madalinionel.patrascu@HIDDEN>
MIME-Version: 1.0
X-Debbugs-Cc: rekado@HIDDEN
Content-Transfer-Encoding: 8bit
Content-Type: text/plain
X-Originating-IP: [77.23.232.54]
X-ClientProxiedBy: SW-IT-P-EX4.mdc-berlin.net (141.80.113.62) To
 SW-IT-P-EX4.mdc-berlin.net (141.80.113.62)
X-TM-AS-Product-Ver: SMEX-14.0.0.3092-9.0.1002-27312.003
X-TM-AS-Result: No-10--2.335900-5.000000
X-TMASE-MatchedRID: GQw6Xh/XS6X/R1NSMc2qCU7nLUqYrlslFIuBIWrdOeOjEIt+uIPPOAbo
 TDS3zulAcjTcMkuJPYkZijt1cgK90C/33TWoSUH6031Nfxfj2zMXjfR3d0weRm1/OiWPM9c7IA+
 gpT9+njWpGhzdFs5Vlu6cJQJ6BHCwLJahZN0f+S+8coKUcaOOvQRryDXHx6oXLX3qyf3ewG9r7a
 Mnl7u1YMX4oKkYTfsImyiLZetSf8nyb6HMFK1qe11j5mhaIsibwrbXMGDYqV+I3adjBtsMrAUWy
 ZoSJE7eUzKanJMU8M2O1CAPfnXI04aUWpRJi1JJNVNMgB7Kg7xIzqWnMgankSCQ8gMMadiZlml5
 U3ydGgg13j684oWC5ihCDgyssE8uo3yYJV8x0OrMUVc0s17dsX/q4TD2v7K1
X-TM-AS-User-Approved-Sender: Yes
X-TM-AS-User-Blocked-Sender: No
X-TMASE-Result: 10--2.335900-5.000000
X-TMASE-Version: SMEX-14.0.0.3092-9.0.1002-27312.003
X-TM-SNTS-SMTP: F52EF49D9B9BF36AE2081BD3FDAC5CD1DA227F80A11545527DA1AAA39E64C78B2002:F
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 59911
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

* gnu/packages/cran.scm (r-shinycustomloader): New variable.
---
 gnu/packages/cran.scm | 23 +++++++++++++++++++++++
 1 file changed, 23 insertions(+)

diff --git a/gnu/packages/cran.scm b/gnu/packages/cran.scm
index 553c53887c..1a5bef3cdb 100644
--- a/gnu/packages/cran.scm
+++ b/gnu/packages/cran.scm
@@ -17465,6 +17465,29 @@ (define-public r-upsetr
 several common set, element and attribute related tasks.")
     (license license:expat)))
 
+(define-public r-shinycustomloader
+  (package
+    (name "r-shinycustomloader")
+    (version "0.9.0")
+    (source (origin
+              (method url-fetch)
+              (uri (cran-uri "shinycustomloader" version))
+              (sha256
+               (base32
+                "1klx71vr26g0gjf6hbiia1qidqii5d467i1sdjvlrg1hxdcggqff"))))
+    (properties `((upstream-name . "shinycustomloader")))
+    (build-system r-build-system)
+    (propagated-inputs
+     (list r-glue
+           r-shiny))
+    (home-page "https://cran.r-project.org/package=shinycustomloader")
+    (synopsis "Custom loader for Shiny outputs")
+    (description
+     "This package provides a custom @code{CSS/HTML} or @code{GIF/image} file
+for the loading screen in R @code{Shiny}.  It also can use the marquee to have
+a custom text loading screen.")
+    (license license:gpl3)))
+
 ;; This package includes a JavaScript file, which is not minified.  When
 ;; upgrading please check that there are no new minified JavaScript files.
 (define-public r-shinybs
-- 
2.38.1





Information forwarded to rekado@HIDDEN, guix-patches@HIDDEN:
bug#59911; Package guix-patches. Full text available.

Message received at 59911 <at> debbugs.gnu.org:


Received: (at 59911) by debbugs.gnu.org; 8 Dec 2022 21:13:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Dec 08 16:13:51 2022
Received: from localhost ([127.0.0.1]:59125 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1p3ODG-0003kA-R8
	for submit <at> debbugs.gnu.org; Thu, 08 Dec 2022 16:13:51 -0500
Received: from b2062.mx.srv.dfn.de ([194.95.234.172]:35333)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <MadalinIonel.Patrascu@HIDDEN>)
 id 1p3ODE-0003jb-0H
 for 59911 <at> debbugs.gnu.org; Thu, 08 Dec 2022 16:13:49 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=mdc-berlin.de; h=
 content-type:content-type:content-transfer-encoding:mime-version
 :x-mailer:message-id:date:date:subject:subject:from:from
 :received; s=mdc; t=1670534020; x=1672348421; bh=gzOyP+qduzm8tkQ
 OCnTwG8SRHpZ5tSPQ/O0NcH442g4=; b=i+kk4FhrLkuW3PBlBvCAqpsOZbw56cF
 vPWqacP8PA2FX4N/8llAHPr3d7ICM9nZ9GgDgifLBrvMrqJrk11e8sfTJigpnlcE
 GUNBWSzFJNMBim9rQouJ2AcomsgcvKoKWOUXxafsQOK304FOCs/Zfdol7EwBkbjq
 6jltZxqYft58=
Received: from SW-IT-P-EX4.mdc-berlin.net (mgw4.mdc-berlin.de [141.80.113.62])
 by b2062.mx.srv.dfn.de (Postfix) with ESMTPS id 97A5C160546
 for <59911 <at> debbugs.gnu.org>; Thu,  8 Dec 2022 22:13:40 +0100 (CET)
Received: from pimi-TRX40-AORUS-PRO-WIFI.lan (77.23.232.54) by
 SW-IT-P-EX4.mdc-berlin.net (141.80.113.62) with Microsoft SMTP Server
 (version=TLS1_2, cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id
 15.1.2507.16; Thu, 8 Dec 2022 22:13:39 +0100
From: =?UTF-8?q?M=C4=83d=C4=83lin=20Ionel=20Patra=C8=99cu?=
 <madalinionel.patrascu@HIDDEN>
To: <59911 <at> debbugs.gnu.org>
Subject: [PATCH 1/7] gnu: Add r-logging.
Date: Thu, 8 Dec 2022 22:13:16 +0100
Message-ID: <20221208211322.28459-1-madalinionel.patrascu@HIDDEN>
X-Mailer: git-send-email 2.38.1
MIME-Version: 1.0
X-Debbugs-Cc: rekado@HIDDEN
Content-Transfer-Encoding: 8bit
Content-Type: text/plain
X-Originating-IP: [77.23.232.54]
X-ClientProxiedBy: SW-IT-P-EX4.mdc-berlin.net (141.80.113.62) To
 SW-IT-P-EX4.mdc-berlin.net (141.80.113.62)
X-TM-AS-Product-Ver: SMEX-14.0.0.3092-9.0.1002-27312.003
X-TM-AS-Result: No-10--7.293300-5.000000
X-TMASE-MatchedRID: SzbEz7SZt2vW/qXiYia/Igrcxrzwsv5uwTlc9CcHMZerwqxtE531VE/O
 fkh/+AL4ubnAU/iC5C7uNT8xdcEnQwE+dA3RWUSvwLYk+NSxc5r4qCLIu0mtIKY5ZGw7wyeHNZ6
 ZIsdh38ol9n1VaFOnEC0ZvJVnYPOtC7/aa0tdy5bjpxdo/JwVm7+a+v4FF31uU72YOAMDJjieAi
 CmPx4NwGmRqNBHmBveVDC1CbuJXmMqtq5d3cxkNZd/mwLf2BVUsvtpsieLiQNfnVTP+tbxtgpv/
 hfNlFiOWzdDJxepKT1fCOKFKuVYGg==
X-TM-AS-User-Approved-Sender: Yes
X-TM-AS-User-Blocked-Sender: No
X-TMASE-Result: 10--7.293300-5.000000
X-TMASE-Version: SMEX-14.0.0.3092-9.0.1002-27312.003
X-TM-SNTS-SMTP: B2D400D586ADC5F1194751DBE4B180F9CD9B6260B0BA5BC62A5A3A127F113F852002:F
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 59911
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

* gnu/packages/cran.scm (r-logging): New variable.
---
 gnu/packages/cran.scm | 20 ++++++++++++++++++++
 1 file changed, 20 insertions(+)

diff --git a/gnu/packages/cran.scm b/gnu/packages/cran.scm
index 5c5258d6e0..553c53887c 100644
--- a/gnu/packages/cran.scm
+++ b/gnu/packages/cran.scm
@@ -16814,6 +16814,26 @@ (define-public r-locfdr
 discovery rates.")
     (license license:gpl2)))
 
+(define-public r-logging
+  (package
+    (name "r-logging")
+    (version "0.10-108")
+    (source (origin
+              (method url-fetch)
+              (uri (cran-uri "logging" version))
+              (sha256
+               (base32
+                "13gd40ygx586vs6xcp6clg69a92aj8zxlk1rn3xzkx8klfjimjc5"))))
+    (properties `((upstream-name . "logging")))
+    (build-system r-build-system)
+    (home-page "https://github.com/WLOGSolutions/r-logging")
+    (synopsis "R logging implementation of log4j")
+    (description
+     "This package implements the R version of the @code{log4j} package.  It offers
+hierarchic loggers, multiple handlers per logger, level based filtering, space
+handling in messages and custom formatting.")
+    (license license:gpl3)))
+
 (define-public r-longitudinal
   (package
     (name "r-longitudinal")

base-commit: 81191e3410cc00c6438f532599dd0b96d521982f
-- 
2.38.1





Information forwarded to rekado@HIDDEN, guix-patches@HIDDEN:
bug#59911; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 8 Dec 2022 21:11:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Dec 08 16:11:00 2022
Received: from localhost ([127.0.0.1]:59104 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1p3OAR-0003i4-9F
	for submit <at> debbugs.gnu.org; Thu, 08 Dec 2022 16:11:00 -0500
Received: from lists.gnu.org ([209.51.188.17]:36420)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <MadalinIonel.Patrascu@HIDDEN>)
 id 1p3OAO-0003hy-VM
 for submit <at> debbugs.gnu.org; Thu, 08 Dec 2022 16:10:53 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10])
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <MadalinIonel.Patrascu@HIDDEN>)
 id 1p3OAO-0001e2-GL
 for guix-patches@HIDDEN; Thu, 08 Dec 2022 16:10:52 -0500
Received: from a2062.mx.srv.dfn.de ([194.95.232.172])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <MadalinIonel.Patrascu@HIDDEN>)
 id 1p3OAL-0003sf-Ms
 for guix-patches@HIDDEN; Thu, 08 Dec 2022 16:10:51 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=mdc-berlin.de; h=
 mime-version:content-type:content-type:content-language
 :accept-language:message-id:date:date:subject:subject:from:from
 :received:received; s=mdc; t=1670533844; x=1672348245; bh=u5bKhU
 pL1hTph9mw/6F7Bd4iN5QRCCsqzfmKek3+JMg=; b=QQQc2F0rFxVXenBAknZ/0n
 ssH3PiDFdo7g5MCYX3sDb/MX21N+NkyjHCK+1BSgVCRQx6uAATEkwu13K05MlXXc
 0HXVCn12qOwkn2fdC9sp19w7qvK8jfRr4uB/EYVmBK1qUTEpP5nmfKnocBE9bRRz
 dWMeUDBfFLsg5OeH/NuNY=
Received: from SW-IT-P-EX1.mdc-berlin.net (mgw1.mdc-berlin.de [141.80.113.54])
 by a2062.mx.srv.dfn.de (Postfix) with ESMTPS id DBA43A0570
 for <guix-patches@HIDDEN>; Thu,  8 Dec 2022 22:10:43 +0100 (CET)
Received: from SW-IT-P-EX4.mdc-berlin.net (141.80.113.62) by
 SW-IT-P-EX1.mdc-berlin.net (141.80.113.54) with Microsoft SMTP Server
 (version=TLS1_2, cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id
 15.1.2507.16; Thu, 8 Dec 2022 22:10:43 +0100
Received: from SW-IT-P-EX4.mdc-berlin.net ([fe80::e55f:895f:3b41:ec6a]) by
 SW-IT-P-EX4.mdc-berlin.net ([fe80::e55f:895f:3b41:ec6a%2]) with mapi id
 15.01.2507.016; Thu, 8 Dec 2022 22:10:43 +0100
From: "MadalinIonel.Patrascu@HIDDEN"
 <MadalinIonel.Patrascu@HIDDEN>
To: "guix-patches@HIDDEN" <guix-patches@HIDDEN>
Subject: [PATCH] gnu: Add r-logging, r-shinycustomloader, r-anytime,
 r-shinywidgets, r-attempt, r-golem and r-wpm.
Thread-Topic: [PATCH] gnu: Add r-logging, r-shinycustomloader, r-anytime,
 r-shinywidgets, r-attempt, r-golem and r-wpm.
Thread-Index: AQHZC0lsv+aCxvwFQUKdjMsFwalyiA==
Date: Thu, 8 Dec 2022 21:10:43 +0000
Message-ID: <e9fd42d3e9f740e7b33e854751b5e4fb@HIDDEN>
Accept-Language: en-US, de-DE
Content-Language: en-US
X-MS-Has-Attach: 
X-MS-TNEF-Correlator: 
x-originating-ip: [141.80.113.51]
x-tm-as-product-ver: SMEX-14.0.0.3092-9.0.1002-27312.003
x-tm-as-result: No-10--15.282000-5.000000
x-tmase-matchedrid: LWf8uVYp427SLIU7g8uoYGg4D2QV/2zL6r3HCixfuKcc4ri4RJV/1d/O
 0TkwpBlDW5prtLhe9fW2kdECpOqtDcgM2GUFlvvaAjqAxuWkdTGOVGny5q72hpbI+L60qto8csx
 FLHbqBOKqH12uH+NHwinjrnqPluOUweKMRbLLNUu/Ju3duA3GghE2nvEP7i9RA3bl5A1fai0djB
 1KZ6xMADA17B48gLdCW2SXZRiTo5tJDPPhTPNvWr9A3Bl1/DcVS+JA5zcSjvlghY6lbP7eVHH8F
 G2651gIMn118qV0EXSbKItl61J/ySKveQ4wmYdMH0aAsAc4EWKwxhlzj2zwm+Mc4fLEPRJdKRFR
 Poxb2QDBus5neBcWJEikXFyOtpIiSwwcGKLTYEc=
x-tm-as-user-approved-sender: Yes
x-tm-as-user-blocked-sender: No
x-tmase-result: 10--15.282000-5.000000
x-tmase-version: SMEX-14.0.0.3092-9.0.1002-27312.003
x-tm-snts-smtp: B0E1F068A99882C37D42C9EF6A22112C43B23DC240A0775C59CFCA43C90995622002:F
Content-Type: multipart/alternative;
 boundary="_000_e9fd42d3e9f740e7b33e854751b5e4fbmdcberlinde_"
MIME-Version: 1.0
Received-SPF: pass client-ip=194.95.232.172;
 envelope-from=MadalinIonel.Patrascu@HIDDEN; helo=a2062.mx.srv.dfn.de
X-Spam_score_int: -43
X-Spam_score: -4.4
X-Spam_bar: ----
X-Spam_report: (-4.4 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, HTML_MESSAGE=0.001,
 RCVD_IN_DNSWL_MED=-2.3, SPF_HELO_PASS=-0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

--_000_e9fd42d3e9f740e7b33e854751b5e4fbmdcberlinde_
Content-Type: text/plain; charset="utf-8"
Content-Transfer-Encoding: base64

KiBnbnUvcGFja2FnZXMvYmlvY29uZHVjdG9yLnNjbSAoci13cG0pOiBOZXcgdmFyaWFibGUuDQoq
IGdudS9wYWNrYWdlcy9jcmFuLnNjbSAoci1sb2dnaW5nLCByLXNoaW55Y3VzdG9tbG9hZGVyLCBy
LWFueXRpbWUsIHItc2hpbnl3aWRnZXRzLA0Kci1hdHRlbXB0LCByLWdvbGVtKTogTmV3IHZhcmlh
Ymxlcy4NCg0KDQoNCg0KQWxsIHRoZSBiZXN0IQ0KDQpNxINkxINsaW4gSW9uZWwgUGF0cmHImWN1
DQoNClN5c3RlbSBBZG1pbmlzdHJhdG9yDQpUaGUgQmVybGluIEluc3RpdHV0ZSBmb3IgTWVkaWNh
bCBTeXN0ZW1zIEJpb2xvZ3kgKEJJTVNCKQ0KTWF4IERlbGJyw7xjayBDZW50ZXIgKE1EQykNCkhh
bm5vdmVyc2NoZSBTdHJhw59lIDI4DQpIb3VzZSAxMDEsIHJvb20gMS44OQ0KMTAxMTUgQmVybGlu
LCBHZXJtYW55DQo=

--_000_e9fd42d3e9f740e7b33e854751b5e4fbmdcberlinde_
Content-Type: text/html; charset="utf-8"
Content-Transfer-Encoding: base64
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--_000_e9fd42d3e9f740e7b33e854751b5e4fbmdcberlinde_--




Acknowledgement sent to "MadalinIonel.Patrascu@HIDDEN" <MadalinIonel.Patrascu@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#59911; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Thu, 29 Dec 2022 23:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.